Package org.apache.nutch.parsefilter.naivebayes

## Class Classify

- java.lang.Object
- - org.apache.nutch.parsefilter.naivebayes.Classify

-     public class Classify
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Classify()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `classify​(String line)` |
    `static HashMap<String,​Integer>` | `unflattenToHashmap​(String line)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Classify

          public Classify()

  - ### Method Detail

    - #### unflattenToHashmap

          public static HashMap<String,​Integer> unflattenToHashmap​(String line)

    - #### classify

          public static String classify​(String line)
                                 throws IOException

      Throws:
        `IOException`